Subject: bug#33436: closed (Re: bug#33436: [PATCH] gnu: Add python-warcio.)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 13 Jul 2021 15:24:02 +0000

Your bug report

#33436: [PATCH] gnu: Add python-warcio.

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
33436: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=33436
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#33436: [PATCH] gnu: Add python-warcio.
From: Maxim Cournoyer <[email-masked]>
To: [email-masked] (Ludovic Courtès)
Cc: swedebugia <[email-masked]>, [email-masked]
Date: Tue, 13 Jul 2021 11:23:18 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

I've added the 'python-wsgiprox' and 'python-certauth' missing
dependencies as of warcio 1.7.4, managed to get the test suite to run
with only 2 disabled tests (due to networking requirements), and pushed
as 89bd7565e8.

Thanks to both of you!

Closing.

Maxim

Subject: [PATCH] gnu: Add python-warcio.
From: swedebugia <[email-masked]>
To: [email-masked]
Date: Mon, 19 Nov 2018 21:41:46 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

-- 
Cheers
Swedebugia
>From 537b2b111a464956bdec640ea5f84c4598ea66f9 Mon Sep 17 00:00:00 2001
From: swedebugia <[email-masked]>
Date: Mon, 19 Nov 2018 21:37:46 +0100
Subject: [PATCH] gnu: Add python-warcio.

* gnu/packages/python.scm: New variable.
---
 gnu/packages/python.scm | 26 ++++++++++++++++++++++++++
 1 file changed, 26 insertions(+)

diff --git a/gnu/packages/python.scm b/gnu/packages/python.scm
index 2b7482a3e..24e8c409f 100644
--- a/gnu/packages/python.scm
+++ b/gnu/packages/python.scm
@@ -14630,3 +14630,29 @@ on regular expressions.")
      "This module implements the PRECIS Framework as described in RFC 8264,
 RFC 8265 and RFC 8266.")
     (license license:expat)))
+
+(define-public python-warcio
+  (package
+   (name "python-warcio")
+   (version "1.6.3")
+   (source
+    (origin
+      (method url-fetch)
+      (uri (pypi-uri "warcio" version))
+      (sha256
+       (base32
+        "1nyhghbag1chh5fml848x799mwgkgmz3l3ipv7lr6p0lj1jq8i1r"))))
+   (build-system python-build-system)
+   (inputs `(("python-six" ,python-six)
+             ("python-requests" ,python-requests)
+             ("python-httpbin" ,python-httpbin)
+             ("python-pytest-cov" ,python-pytest-cov)))
+   (arguments
+    ;; FIXME: Some tests require network access. 150 out of 1354 fail
+    '(#:tests? #f))
+   (home-page "https://github.com/webrecorder/warcio")
+   (synopsis "Streaming web archival archive (WARC) library")
+   (description
+    "warcio is designed for fast, low-level access to web archival
+content, oriented around a stream of WARC records rather than files.")
+   (license license:asl2.0)))
-- 
2.18.0